<bugID>1090324<Summary>Full brand name should be used "Firefox Developer Edition" not "FirefoxDevEdition"</Summary><Description>I see that we are using FirefoxDevEdition in product and on the application name. It looks like a variable name that got slotted in by mistake. We should be consistent and use the full "Firefox Developer Edition" name everywhere.</Description></bugID>